#include <errno.h>
#include <fcntl.h>
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include "CtsTask.h"
#include "NcApi.h"

extern CtsState g_cts;

bool CtsGetHolding(int fd) {
    int s;
    ioctl(fd, TIOCMGET, &s);
    return (s & TIOCM_CTS) != 0;
}

extern "C"
{
void CtsMainIoctl()
{
	int fd = g_cts.ioctlFd;
	while(true)
	{
		int ret = ioctl( fd, TIOCMIWAIT, TIOCM_CTS );
		if (ret<0)
			return;
		if (!CtsGetHolding(fd))
			continue;
		NcApiCtsActive(0);
	}
}
}//extern C
